#include <Fl/Fl.H>
#include "waveform_editor.h"
#include "globals.h"
#include "synth.h"
#include "synth_gui.h"

struct waveform *Waveforms =
  (struct waveform *) malloc(4*sizeof(struct waveform));

struct synth *synth_data = (struct synth *) malloc(sizeof(struct synth));

int *Waveform_Display::paste_buffer = (int *) 0;
unsigned Waveform_Display::paste_buffer_size = 0;
unsigned Waveform_Display::paste_buffer_used = 0;
unsigned Waveform_Display::paste_buffer_range = 0;

Waveform_Editor **editors;
int editor_count;
int editor_array_size;

int main (int argc, char **argv) {
  editors = new Waveform_Editor*[4];
  Synth_Gui *gui = new Synth_Gui("Synth Of Noise");
  jack_us("synthofnoise");
  return Fl::run();
}
