#ifndef globals_h
#define globals_h

#define MIN(x,y) ((x) < (y) ? (x) : (y))

struct synth_knobs {
  unsigned waveform;
  char mute;
  char control;
  float range;
  float center;
  //  float min;
  //  float max;
  float speed_range;
  float speed_center;
  //  float speed_min;
  //  float speed_max;
  float control_range;
  float amp;
  //  float pan;
  //  float left;
  //  float right;
};

struct waveform {
  unsigned size;
  float *data;
};

struct lfnoise_knobs {
  double hz;
  double amp;
};

struct synth {
  struct synth_knobs left;
  struct synth_knobs right;
  struct lfnoise_knobs nz;
  char mute;
  char freeze;
  char interp;
  float master;
  float **waveforms;
};

extern struct synth *synth_data;

extern struct waveform *Waveforms;
#endif
