#ifndef pot_h
#define pot_h

#include <FL/Fl_Dial.H>
#include <FL/Fl_Widget.H>
#include "globals.h"
#include "math.h"

class Pot: public Fl_Dial {
public:
  Pot(int x, int y, unsigned int size, char *label, float *param,
      float minimum, float maximum, float exponent, float init);
  float *parameter;
  float control_spec();
private:
  float min;
  float max;
  float exp;
};


#endif
