#ifndef waveform_buttons_h
#define waveform_buttons_h

#include <FL/Fl_Button.H>
#include <FL/Fl_Light_Button.H>

#include "waveform_editor.h"

class Waveform_Round_Button : public Fl_Light_Button {
public:
  Waveform_Round_Button(int x, int y, int width, int height, const char *label,
			bool *v);
  bool *v;
};

class Waveform_Button : public Fl_Button {
public:
  Waveform_Button(int x, int y, int width, int height,
		  const char *label, enum actions a, unsigned w);
  void callback_dispatch();
private:
  // index into global table of existing waveform editors
  unsigned waveform_editor;
  enum actions act;
};

#endif
