#include "waveform_editor.h"

namespace stupid_fucking_hack {
  void edit_button_cb(Editor_Button *);
}

Editor_Button::Editor_Button(int x, int y, int width, int height,
			     const char* name, enum waveform_edit_action a,
			     Waveform_Editor *p)
  : Fl_Button(x, y, width, height, name) {
  act = a;
  parent = p;
  callback((void(*)(Fl_Widget*))stupid_fucking_hack::edit_button_cb);
  labeltype(FL_ENGRAVED_LABEL);
  box(FL_PLASTIC_UP_BOX);
}

void stupid_fucking_hack::edit_button_cb(Editor_Button *b) {
  b->parent->dispatch(b->act);
}

Waveform_Editor::Waveform_Editor(int width, int height, int points, unsigned i,
				 const char *name)
  : Fl_Double_Window(width, height, name) {
  unsigned column = 0;
  int *l = new int;
  int *r = new int;
  box(FL_PLASTIC_UP_BOX);
  id = i;
  range = new Range_Definition(0, 10, width, l, r, points);
  display = new Waveform_Display(30, 50, width-60, height-110, points, l, r, 1);
  display->active = range;
  new Waveform_Button(column+=100,  height-60, 50, 50, "&fill",   fill, id);
  new Waveform_Button(column+=51,  height-60, 50, 50, "&drunk",  drunk, id);
  new Waveform_Button(column+=51, height-60, 50, 50, "&rand",   rndm, id);
  new Waveform_Button(column+=51, height-60, 50, 50, "&copy",   copy, id);
  new Waveform_Button(column+=51, height-60, 50, 50, "&paste",  paste, id);
  new Waveform_Button(column+=51, height-60, 50, 50, "&zero",   zero, id);
  new Waveform_Button(column+=51, height-60, 50, 50, "s&hrink", shrink, id);
  new Waveform_Button(column+=51, height-60, 50, 50, "&grow",   grow, id);
  new Waveform_Round_Button(column+=51, height-60, 95, 50, "&scatter",
			    &display->scatter);
  new Waveform_Button(column+=96, height-60, 50, 50, "s&mooth", smooth, id);
  new Waveform_Button(column+=51, height-60, 50, 50, "r&ough", rough, id);
  new Waveform_Button(column+=51, height-60, 50, 50, "&up", up, id);
  new Waveform_Button(column+=51, height-60, 50, 50, "do&wn", down, id);
  new Editor_Button(column+=51, height-60, 50, 50, "&Hide", hde, this);
  end();
};

void Waveform_Editor::manipulate(enum actions how) {
  display->manipulate(how);
}

void Waveform_Editor::dispatch(enum waveform_edit_action how) {
  switch(how) {
  case hde:
    hide();
  }
}
